curl --request POST \
--url https://api.futureagi.com/simulate/scenarios/{scenario_id}/add-rows/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '{
"num_rows": 5
}'{
"message": "Started generating 5 new rows for scenario",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"num_rows": 5
}Scenarios
Add rows to a scenario using AI
Initiates an asynchronous task to generate and add a specified number of new rows to a scenario’s dataset using AI. A description can be provided to guide the content generation.
POST
/
simulate
/
scenarios
/
{scenario_id}
/
add-rows
/
curl --request POST \
--url https://api.futureagi.com/simulate/scenarios/{scenario_id}/add-rows/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '{
"num_rows": 5
}'{
"message": "Started generating 5 new rows for scenario",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"num_rows": 5
}Authorizations
Path Parameters
The UUID of the scenario to which rows will be added.
Body
application/json
Was this page helpful?
⌘I